> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/optimization/windows-component.md).

# Windows Component

## List

> Retrieve Windows Component Custom

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/Optimization/WindowsComponent":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Optimization"],"summary":"List","description":"Retrieve Windows Component Custom","operationId":"f763938a-e712-4373-8067-c6c01fa8e59e","parameters":[{"name":"id","in":"path","description":"The ID of the optimization setting to retrieve the windows component custom list.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WindowsComponent"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"WindowsComponent":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/DetailsType"},"componentName":{"type":"string","description":"<para type=\"synopsis\">Windows Components Name</para>\r\n<para type=\"description\"></para>","nullable":true},"displayName":{"type":"string","description":"<para type=\"synopsis\">Windows Components Display Name</para>\r\n<para type=\"description\"></para>","nullable":true},"aliases":{"type":"string","description":"<para type=\"synopsis\">Windows Components Aliases</para>\r\n<para type=\"description\"></para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Image optimization windows component</para>\r\n<para type=\"description\"></para>"},"DetailsType":{"enum":[["0 = Predefined","1 = Custom"]],"type":"string","description":"<para type=\"synopsis\">Details Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AVD/HostPool/{id}/Optimization/WindowsComponent" method="post" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}

{% openapi src="/files/oEgjY6sMA31ZVBC35aoj" path="/api/AVD/HostPool/{id}/Optimization/WindowsComponent" method="delete" %}
[swagger 1.json](https://content.gitbook.com/content/jyGAUPrA6XIdGAfHCnJE/blobs/7mKwtvutT7xlWtmCVnxB/swagger%201.json)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/optimization/windows-component.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
